<?php

namespace AppBundle\Controller;

use AppBundle\Service\Search;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\Routing\Annotation\Route;

class SearchController extends Controller
{
    /**
     * @Route("/recherche", name="search_recherche")
     */
    public function searchAction(Request $request, Search $filmSearch)
    {
        $query = $request->query->get('q', "");
        return $this->render('@App/videotheque/liste.html.twig', array(
            'listeFilms'    =>  $filmSearch->search($query),
            'titre'         =>  'Recherche '. $query,
            'query'         =>  $query
        ));
    }
}
